Data Structures | Variables

# script_instance.hpp File Reference

The ScriptInstance tracks a script. More...

`#include <squirrel.h>`
`#include "script_suspend.hpp"`
`#include "../command_type.h"`
`#include "../company_type.h"`

Go to the source code of this file.

## Data Structures
class | ScriptInstance
| Runtime information about a script like a pointer to the squirrel vm and the current state. More...
## Variables
static const uint | SQUIRREL_MAX_DEPTH = 25
| The maximum recursive depth for items stored in the savegame.

## Detailed Description

The ScriptInstance tracks a script.

Definition in file script_instance.hpp.